Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkColorTransferFunction Class Reference

`#include <vtkColorTransferFunction.h>`

Inheritance diagram for vtkColorTransferFunction:

[legend]
Collaboration diagram for vtkColorTransferFunction:

[legend]
List of all members.

## Detailed Description

Defines a transfer function for mapping a property to an RGB color value.

Date:
  2003/01/17 18:22:28

Revision:
  1.38

vtkColorTransferFunction encapsulates three vtkPiecewiseFunction instances to provide a full RGB transfer function.

See also:
  vtkPiecewiseFunction

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (52%)
  - Martin, Ken (27%)
  - Gobbi, David (12%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkColorTransferFunction.h)`
  - .`cxx` (`/Filtering/vtkColorTransferFunction.cxx)`

Examples:
  vtkColorTransferFunction (Examples)

Tests:
  vtkColorTransferFunction (Tests)

Definition at line 58 of file vtkColorTransferFunction.h.

## Public Types
typedef vtkScalarsToColors | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | DeepCopy (vtkColorTransferFunction *f)
void | PrintSelf (ostream &os, vtkIndent indent)
int | GetSize ()
virtual unsigned char * | MapValue (float v)
void | BuildFunctionFromTable (float x1, float x2, int size, float *table)
void | AddRGBPoint (float x, float r, float g, float b)
void | AddHSVPoint (float x, float h, float s, float v)
void | AddRGBSegment (float x1, float r1, float g1, float b1, float x2, float r2, float g2, float b2)
void | AddHSVSegment (float x1, float h1, float s1, float v1, float x2, float h2, float s2, float v2)
void | RemovePoint (float x)
void | RemoveAllPoints ()
float * | GetColor (float x)
void | GetColor (float x, float rgb[3])
float | GetRedValue (float x)
float | GetGreenValue (float x)
float | GetBlueValue (float x)
virtual float * | GetRange ()
virtual void | GetRange (float &, float &)
virtual void | GetRange (float[2])
void | GetTable (float x1, float x2, int n, float *table)
const unsigned char * | GetTable (float x1, float x2, int n)
virtual void | SetClamping (int)
virtual int | GetClamping ()
virtual void | ClampingOn ()
virtual void | ClampingOff ()
virtual void | SetColorSpace (int)
void | SetColorSpaceToRGB ()
void | SetColorSpaceToHSV ()
virtual int | GetColorSpace ()
float * | GetDataPointer ()
void | FillFromDataPointer (int, float *)
virtual void | MapScalarsThroughTable2 (void *input, unsigned char *output, int inputDataType, int numberOfValues, int inputIncrement, int outputIncrement)
## Static Public Methods
vtkColorTransferFunction * | New ()
int | IsTypeOf (const char *type)
vtkColorTransferFunction * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkColorTransferFunction ()
| ~vtkColorTransferFunction ()
void | RGBToHSV (float r, float g, float b, float &h, float &s, float &v)
void | HSVToRGB (float h, float s, float v, float &r, float &g, float &b)
virtual void | SetRange (float, float)
void | SetRange (float rng[2])
## Protected Attributes
int | Clamping
int | ColorSpace
float * | Function
int | FunctionSize
int | NumberOfPoints
unsigned char | UnsignedCharRGBAValue [4]
float | Range [2]
vtkPiecewiseFunction * | Red
vtkPiecewiseFunction * | Green
vtkPiecewiseFunction * | Blue
vtkTimeStamp | BuildTime
unsigned char * | Table
int | TableSize

## Member Typedef Documentation

typedef vtkScalarsToColors vtkColorTransferFunction::Superclass

| Reimplemented from vtkScalarsToColors. Definition at line 62 of file vtkColorTransferFunction.h.

## Constructor & Destructor Documentation

vtkColorTransferFunction::vtkColorTransferFunction | ( |  | ) | `[protected]`

vtkColorTransferFunction::~vtkColorTransferFunction | ( |  | ) | `[protected]`

## Member Function Documentation

vtkColorTransferFunction* vtkColorTransferFunction::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkColorTransferFunction::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkScalarsToColors.

int vtkColorTransferFunction::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkScalarsToColors.

virtual int vtkColorTransferFunction::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkScalarsToColors.

vtkColorTransferFunction* vtkColorTransferFunction::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkScalarsToColors.

void vtkColorTransferFunction::DeepCopy | ( | vtkColorTransferFunction * | f | ) |

void vtkColorTransferFunction::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Print method for vtkColorTransferFunction Reimplemented from vtkScalarsToColors.

int vtkColorTransferFunction::GetSize | ( |  | ) | `[inline]`

| How many points are there defining this function? Definition at line 69 of file vtkColorTransferFunction.h.

void vtkColorTransferFunction::AddRGBPoint | ( | float | x,
|  | float | r,
|  | float | g,
|  | float | b
| ) |

| Add a point to the function defined in RGB or HSV

void vtkColorTransferFunction::AddHSVPoint | ( | float | x,
|  | float | h,
|  | float | s,
|  | float | v
| ) |

| Add a point to the function defined in RGB or HSV

void vtkColorTransferFunction::AddRGBSegment | ( | float | x1,
|  | float | r1,
|  | float | g1,
|  | float | b1,
|  | float | x2,
|  | float | r2,
|  | float | g2,
|  | float | b2
| ) |

| Add two points to the function and remove all the points between them

void vtkColorTransferFunction::AddHSVSegment | ( | float | x1,
|  | float | h1,
|  | float | s1,
|  | float | v1,
|  | float | x2,
|  | float | h2,
|  | float | s2,
|  | float | v2
| ) |

| Add two points to the function and remove all the points between them

void vtkColorTransferFunction::RemovePoint | ( | float | x | ) |

| Remove a point / remove all points

void vtkColorTransferFunction::RemoveAllPoints | ( |  | ) |

| Remove a point / remove all points

float* vtkColorTransferFunction::GetColor | ( | float | x | ) | `[inline]`

| Returns an RGB color for the specified scalar value (from vtkScalarsToColors) Reimplemented from vtkScalarsToColors. Definition at line 94 of file vtkColorTransferFunction.h. References vtkScalarsToColors::GetColor().

void vtkColorTransferFunction::GetColor | ( | float | x,
|  | float | rgb[3]
| ) | `[virtual]`

| Returns an RGB color for the specified scalar value (from vtkScalarsToColors) Implements vtkScalarsToColors.

float vtkColorTransferFunction::GetRedValue | ( | float | x | ) |

| Get the color components individually.

float vtkColorTransferFunction::GetGreenValue | ( | float | x | ) |

| Get the color components individually.

float vtkColorTransferFunction::GetBlueValue | ( | float | x | ) |

| Get the color components individually.

virtual unsigned char* vtkColorTransferFunction::MapValue | ( | float | v | ) | `[virtual]`

| Map one value through the lookup table. Implements vtkScalarsToColors.

virtual float* vtkColorTransferFunction::GetRange | ( |  | ) | `[virtual]`

| Returns min and max position of all function points. Implements vtkScalarsToColors.

virtual void vtkColorTransferFunction::GetRange | ( | float & | ,
|  | float & |
| ) | `[virtual]`

| Returns min and max position of all function points.

virtual void vtkColorTransferFunction::GetRange | ( | float | [2] | ) | `[virtual]`

| Returns min and max position of all function points.

void vtkColorTransferFunction::GetTable | ( | float | x1,
|  | float | x2,
|  | int | n,
|  | float * | table
| ) |

| Fills in a table of n function values between x1 and x2

const unsigned char* vtkColorTransferFunction::GetTable | ( | float | x1,
|  | float | x2,
|  | int | n
| ) |

| Fills in a table of n function values between x1 and x2

void vtkColorTransferFunction::BuildFunctionFromTable | ( | float | x1,
|  | float | x2,
|  | int | size,
|  | float * | table
| ) |

| Construct a color transfer function from a table. Function range is is set to [x1, x2], each function size is set to size, and function points are regularly spaced between x1 and x2. Parameter "table" is assumed to be a block of memory of size [3*size]

virtual void vtkColorTransferFunction::SetClamping | ( | int |  | ) | `[virtual]`

| Sets and gets the clamping value for this transfer function.

virtual int vtkColorTransferFunction::GetClamping | ( |  | ) | `[virtual]`

| Sets and gets the clamping value for this transfer function.

virtual void vtkColorTransferFunction::ClampingOn | ( |  | ) | `[virtual]`

| Sets and gets the clamping value for this transfer function.

virtual void vtkColorTransferFunction::ClampingOff | ( |  | ) | `[virtual]`

| Sets and gets the clamping value for this transfer function.

virtual void vtkColorTransferFunction::SetColorSpace | ( | int |  | ) | `[virtual]`

| How should we interpolate - in RGB, or HSV

void vtkColorTransferFunction::SetColorSpaceToRGB | ( |  | ) | `[inline]`

| How should we interpolate - in RGB, or HSV Definition at line 136 of file vtkColorTransferFunction.h. References VTK_CTF_RGB.

void vtkColorTransferFunction::SetColorSpaceToHSV | ( |  | ) | `[inline]`

| How should we interpolate - in RGB, or HSV Definition at line 137 of file vtkColorTransferFunction.h. References VTK_CTF_HSV.

virtual int vtkColorTransferFunction::GetColorSpace | ( |  | ) | `[virtual]`

| How should we interpolate - in RGB, or HSV

float* vtkColorTransferFunction::GetDataPointer | ( |  | ) | `[inline]`

| Returns a list of all nodes Fills from a pointer to data stored in a similar list of nodes. Definition at line 144 of file vtkColorTransferFunction.h.

void vtkColorTransferFunction::FillFromDataPointer | ( | int | ,
|  | float * |
| ) |

| Returns a list of all nodes Fills from a pointer to data stored in a similar list of nodes.

virtual void vtkColorTransferFunction::MapScalarsThroughTable2 | ( | void * | input,
|  | unsigned char * | output,
|  | int | inputDataType,
|  | int | numberOfValues,
|  | int | inputIncrement,
|  | int | outputIncrement
| ) | `[virtual]`

| map a set of scalars through the lookup table Implements vtkScalarsToColors.

void vtkColorTransferFunction::RGBToHSV | ( | float | r,
|  | float | g,
|  | float | b,
|  | float & | h,
|  | float & | s,
|  | float & | v
| ) | `[protected]`

void vtkColorTransferFunction::HSVToRGB | ( | float | h,
|  | float | s,
|  | float | v,
|  | float & | r,
|  | float & | g,
|  | float & | b
| ) | `[protected]`

virtual void vtkColorTransferFunction::SetRange | ( | float | ,
|  | float |
| ) | `[inline, protected, virtual]`

| Set the range of scalars being mapped. The set has no functionality in this subclass of vtkScalarsToColors. Implements vtkScalarsToColors. Definition at line 195 of file vtkColorTransferFunction.h.

void vtkColorTransferFunction::SetRange | ( | float | rng[2] | ) | `[inline, protected]`

| Set the range of scalars being mapped. The set has no functionality in this subclass of vtkScalarsToColors. Reimplemented from vtkScalarsToColors. Definition at line 196 of file vtkColorTransferFunction.h. References vtkScalarsToColors::SetRange().

## Member Data Documentation

int vtkColorTransferFunction::Clamping`[protected]`

| Definition at line 163 of file vtkColorTransferFunction.h.

int vtkColorTransferFunction::ColorSpace`[protected]`

| Definition at line 166 of file vtkColorTransferFunction.h.

float* vtkColorTransferFunction::Function`[protected]`

| Definition at line 169 of file vtkColorTransferFunction.h.

int vtkColorTransferFunction::FunctionSize`[protected]`

| Definition at line 170 of file vtkColorTransferFunction.h.

int vtkColorTransferFunction::NumberOfPoints`[protected]`

| Definition at line 171 of file vtkColorTransferFunction.h.

unsigned char vtkColorTransferFunction::UnsignedCharRGBAValue[4]`[protected]`

| Definition at line 178 of file vtkColorTransferFunction.h.

float vtkColorTransferFunction::Range[2]`[protected]`

| Definition at line 181 of file vtkColorTransferFunction.h.

vtkPiecewiseFunction* vtkColorTransferFunction::Red`[protected]`

| Definition at line 185 of file vtkColorTransferFunction.h.

vtkPiecewiseFunction* vtkColorTransferFunction::Green`[protected]`

| Definition at line 186 of file vtkColorTransferFunction.h.

vtkPiecewiseFunction* vtkColorTransferFunction::Blue`[protected]`

| Definition at line 187 of file vtkColorTransferFunction.h.

vtkTimeStamp vtkColorTransferFunction::BuildTime`[protected]`

| Definition at line 188 of file vtkColorTransferFunction.h.

unsigned char* vtkColorTransferFunction::Table`[protected]`

| Definition at line 189 of file vtkColorTransferFunction.h.

int vtkColorTransferFunction::TableSize`[protected]`

| Definition at line 190 of file vtkColorTransferFunction.h.

The documentation for this class was generated from the following file:

- Filtering/vtkColorTransferFunction.h